All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] t9010 fails when no svn is available
@ 2010-12-09  6:53 Junio C Hamano
  2010-12-09  8:39 ` Ramkumar Ramachandra
  0 siblings, 1 reply; 2+ messages in thread
From: Junio C Hamano @ 2010-12-09  6:53 UTC (permalink / raw)
  To: Ramkumar Ramachandra; +Cc: git

Running test t9010 without svn currently errors out for no good reason.

The test uses "svnadmin" without checking if svn is available.  This was a
regression introduced by b0ad24b (t9010 (svn-fe): Eliminate dependency on
svn perl bindings, 2010-10-10) when it stopped including ./lib-git-svn.sh
that had the safety.

This should fix it.

Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
 t/t9010-svn-fe.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/t/t9010-svn-fe.sh b/t/t9010-svn-fe.sh
index fd851a4..faf9092 100755
--- a/t/t9010-svn-fe.sh
+++ b/t/t9010-svn-fe.sh
@@ -4,6 +4,12 @@ test_description='check svn dumpfile importer'
 
 . ./test-lib.sh
 
+if ! svnadmin -h >/dev/null 2>&1
+then
+	skip_all='skipping svn-fe tests, svn not available'
+	test_done
+fi
+
 svnconf=$PWD/svnconf
 export svnconf
 

^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [PATCH] t9010 fails when no svn is available
  2010-12-09  6:53 [PATCH] t9010 fails when no svn is available Junio C Hamano
@ 2010-12-09  8:39 ` Ramkumar Ramachandra
  0 siblings, 0 replies; 2+ messages in thread
From: Ramkumar Ramachandra @ 2010-12-09  8:39 UTC (permalink / raw)
  To: Junio C Hamano; +Cc: git

Junio C Hamano writes:
> Running test t9010 without svn currently errors out for no good reason.
> 
> The test uses "svnadmin" without checking if svn is available.  This was a
> regression introduced by b0ad24b (t9010 (svn-fe): Eliminate dependency on
> svn perl bindings, 2010-10-10) when it stopped including ./lib-git-svn.sh
> that had the safety.
> 
> This should fix it.
> 
> Signed-off-by: Junio C Hamano <gitster@pobox.com>

Right. Thanks for catching this.

-- Ram

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2010-12-09  8:39 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2010-12-09  6:53 [PATCH] t9010 fails when no svn is available Junio C Hamano
2010-12-09  8:39 ` Ramkumar Ramachandra

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.